%global with_tests 0

Name:           csvdiff
Version:        0.1.0
Release:        4%{?dist}
Summary:        Generate a diff between two CSV files on the command-line

License:        BSD
URL:            https://github.com/larsyencken/csvdiff
Source0:        https://pypi.python.org/packages/source/c/%{name}/%{name}-%{version}.tar.gz
Patch1:         csvdiff.removesheban.path

BuildArch:      noarch

BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-PyYAML
Requires:       python3-PyYAML



%description
Generate a diff between two CSV files on the command-line.


%prep
%setup -q -n %{name}-%{version}
#Remove egg.info
rm -rf %{name}.egg.info

%patch1

%build
%{__python3} setup.py build --quiet


%install
%{__python3} setup.py install --skip-build --root %{buildroot}



%if 0%{?with_tests}
%check
%{__python3} setup.py test
%endif # with_tests



%files
%{!?_licensedir:%global license %%doc}
%license LICENSE
%doc AUTHORS.rst CONTRIBUTING.rst HISTORY.rst README.rst  
%{_bindir}/*
%{python3_sitelib}/%{name}
%{python3_sitelib}/%{name}-%{version}-py?.?.egg-info


%changelog
* Mon Feb 02 2015 William José Moreno Reyes <williamjmorenor@gmail.com> - 0.1.0-4
- Fix %%Requires

* Mon Dec 29 2014 William José Moreno Reyes <williamjmorenor@gmail.com> - 0.1.0-3
- Clean Requires and BuildRequires
- Define %%test to 0 

* Sat Dec 27 2014 William Jose Moreno Reyes <williamjmorenor at gmail.com> - 0.1.0-2
- Fix shebang in %%{_bindir}
- Build using Python3

* Sun Dec 7 2014 William José Moreno Reyes <williamjmorenor at gmail.com> - 0.1.0-1
- Inicial packaging
